#
# Conditional build:
%bcond_with	tests	# test target [no tests are run with python2, some tests are not ready for python3???]
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	doc	# HTML documentation (sphinx-based)

%define		module	pyOpenSSL
Summary:	Python 2 interface to the OpenSSL library
Summary(pl.UTF-8):	Interfejs Pythona 2 do biblioteki OpenSSL
Name:		python-%{module}
Version:	16.0.0
Release:	3
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/pyopenssl/
Source0:	https://pypi.python.org/packages/source/p/pyOpenSSL/%{module}-%{version}.tar.gz
# Source0-md5:	9587d813dcf656e9f2760e41a3682dc3
URL:		https://github.com/pyca/pyopenssl
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-cryptography >= 1.3
BuildRequires:	python-six >= 1.5.2
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-cryptography >= 1.3
BuildRequires:	python3-six >= 1.5.2
%endif
%endif
%if %{with doc}
BuildRequires:	python-sphinx_rtd_theme
BuildRequires:	sphinx-pdg
%endif
Requires:	python-cryptography >= 1.3
Requires:	python-six >= 1.5.2
Obsoletes:	python-OpenSSL
Obsoletes:	python-pyOpenSSL-doc
Obsoletes:	python-pyOpenSSL-doc-html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
High-level wrapper around a subset of the OpenSSL library, includes:
 - SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 - Callbacks written in Python
 - Extensive error-handling mechanism, mirroring OpenSSL's error codes
...and much more.

This package contains Python 2 modules.

%description -l pl.UTF-8
Wysokopoziomowe obudowanie podzbioru biblioteki OpenSSL, zawierające:
 - obiekty SSL.Connection, obudowujący metody przenośnych gniazd
   Pythona
 - wywołania zwrotne napisane w Pythonie
 - obszerny mechanizm obsługi błędów odzwierciedlający kody błędów
   OpenSSL-a
...i wiele więcej.

Ten pakiet zawiera moduły Pythona 2.

%package -n python3-pyOpenSSL
Summary:	Python 2 interface to the OpenSSL library
Summary(pl.UTF-8):	Interfejs Pythona 2 do biblioteki OpenSSL
Group:		Libraries/Python
Requires:	python3-cryptography >= 1.3
Requires:	python3-six >= 1.5.2

%description -n python3-pyOpenSSL
High-level wrapper around a subset of the OpenSSL library, includes:
 - SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 - Callbacks written in Python
 - Extensive error-handling mechanism, mirroring OpenSSL's error codes
...and much more.

This package contains Python 3 modules.

%description -n python3-pyOpenSSL -l pl.UTF-8
Wysokopoziomowe obudowanie podzbioru biblioteki OpenSSL, zawierające:
 - obiekty SSL.Connection, obudowujący metody przenośnych gniazd
   Pythona
 - wywołania zwrotne napisane w Pythonie
 - obszerny mechanizm obsługi błędów odzwierciedlający kody błędów
   OpenSSL-a
...i wiele więcej.

Ten pakiet zawiera moduły Pythona 3.

%package examples
Summary:	Examples for pyOpenSSL module
Summary(pl.UTF-8):	Przykłady do modułu pyOpenSSL
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example files for pyOpenSSL Python module.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe skrypty dla modułu Pythona pyOpenSSL.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API %{module}
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
LC_ALL=C.UTF-8 \
%py_build %{?with_tests:test}
%endif
%if %{with python3}
LC_ALL=C.UTF-8 \
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst README.rst
%dir %{py_sitescriptdir}/OpenSSL
%{py_sitescriptdir}/OpenSSL/*.py[co]
%{py_sitescriptdir}/pyOpenSSL-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pyOpenSSL
%defattr(644,root,root,755)
%doc CHANGELOG.rst README.rst
%dir %{py3_sitescriptdir}/OpenSSL
%{py3_sitescriptdir}/OpenSSL/*.py
%{py3_sitescriptdir}/OpenSSL/__pycache__
%{py3_sitescriptdir}/pyOpenSSL-%{version}-py*.egg-info
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{*.html,_static,api}
%endif
%changelog
* Thu Dec 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyOpenSSL.git;a=log;h=auto/th/python-pyOpenSSL-16.0.0-3

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> a51c687
- python 3.6
- release 3 (by relup.sh)

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 2f55320
- noarch apidocs

* Thu Mar 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 22bbbec
- updated to 16.0.0

* Fri Dec 04 2015 Elan Ruusamäe <glen@delfi.ee> 0508ae5
- apidocs subpackage

* Fri Dec 04 2015 Elan Ruusamäe <glen@delfi.ee> 81847f4
- up to 0.15, use new macros fully

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ec20d4e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5f0766e
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ab07431
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 571565e
- python3.5 rebuild
- release 4 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> d395590
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c9b90ba
- python 3.4
- release 2 (by relup.sh)

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 5310dd7
- rpmbuild(macros) version for py3_* macros

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 24e3a41
- updated to 0.14 (now cryptography based)
- added python3 module

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> d19efd7
- up to 0.13

* Fri Aug 26 2011 areq <areq@pld-linux.org> 6995653
- 0.12

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> c490edc
- release 2

* Fri Sep 24 2010 emes <emes@pld-linux.org> b4c7b8b
- up to 0.9

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b62bfb8
- release 4

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 17f0c1d
- release 3

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b134f06
- drop obsolete files

